Skip to main content
POST
/
v2
/
spaces
Create a space
curl --request POST \
  --url https://api.arize.com/v2/spaces \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "LLM Evaluation",
  "organization_id": "org_12345",
  "description": "Space for evaluating LLM performance"
}
'
{
  "id": "spc_001",
  "name": "LLM Evaluation",
  "description": "Space for evaluating LLM performance",
  "created_at": "2024-01-01T12:00:00Z"
}

Authorizations

Authorization
string
header
required

Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format

Body

application/json

Body containing space creation parameters

name
string
required

Name of the space (must be unique within the organization)

Maximum string length: 255
organization_id
string
required

ID of the organization to create the space in

description
string

A brief description of the space's purpose. Defaults to an empty string if omitted.

Maximum string length: 1000

Response

A space object

A space is a container within an organization for grouping related projects, datasets, and experiments. Spaces enable team collaboration or isolated experimentation with role-based access control.

id
string
required

Unique identifier for the space

name
string
required

Name of the space

description
string
required

A brief description of the space's purpose

created_at
string<date-time>
required

Timestamp for when the space was created